%define major	0
%define libname	%mklibname vterm %{major}
%define devname	%mklibname vterm -d

%define url_ver	%(echo %{version} | cut -d. -f1,2)

Name:           libvterm
Version:        0.3.3
Release:        %mkrel 2
Summary:        An abstract library implementation of a VT220/xterm/ECMA-48 terminal emulator
Group:		System/Libraries
License:        MIT
URL:            https://www.leonerd.org.uk/code/libvterm/
Source0:        https://launchpad.net/libvterm/trunk/v%(echo %{version} | cut -d\. -f1,2)/+download/libvterm-%{version}.tar.gz
BuildRequires:  libtool

%description
An abstract C99 library which implements a VT220 or xterm-like
terminal emulator. It does not use any particular graphics toolkit or
output system. Instead, it invokes callback function pointers that
its embedding program should provide it to draw on its behalf.

%package -n %{libname}
Summary:	An abstract library implementation of a VT220/xterm/ECMA-48 terminal emulator

%description -n %{libname}
An abstract C99 library which implements a VT220 or xterm-like
terminal emulator. It does not use any particular graphics toolkit or
output system. Instead, it invokes callback function pointers that
its embedding program should provide it to draw on its behalf.

%package -n %{devname}
Summary:        Development files needed for %{name}
Group:		Development/Other
Requires:       %{libname} = %{version}-%{release}
Provides:	vterm-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
%{summary}.

%package tools
Summary:        Tools for %{name}

%description tools
%{summary}.

%prep
%setup -q

%build
%set_build_flags
%make_build PREFIX=%{_prefix} LIBDIR=%{_libdir}

%install
%make_install PREFIX=%{_prefix} LIBDIR=%{_libdir}

#we don't want these
find %{buildroot} \( -name "*.la" -o -name "*.a" \) -delete

%check
make test CFLAGS="%{optflags}"

%files -n %{libname}
%license LICENSE
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*

%files -n %{devname}
%{_libdir}/%{name}.so
%{_includedir}/vterm*.h
%{_libdir}/pkgconfig/vterm.pc

%files tools
%{_bindir}/unterm
%{_bindir}/vterm-ctrl
%{_bindir}/vterm-dump


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.3.3-2.mga10
+ Revision: 2219890
- Mageia 10 Mass Rebuild

* Sun Oct 29 2023 kekepower <kekepower> 0.3.3-1.mga10
+ Revision: 2002713
- Update to version 0.3.3

* Tue Feb 14 2023 wally <wally> 0.3.1-1.mga9
+ Revision: 1942108
- new version 0.3.1

* Fri Sep 30 2022 kekepower <kekepower> 0.3-1.mga9
+ Revision: 1893561
- Update to version 0.3

* Wed Mar 16 2022 umeabot <umeabot> 0.2-2.mga9
+ Revision: 1794717
- Mageia 9 Mass Rebuild

* Tue Nov 09 2021 wally <wally> 0.2-1.mga9
+ Revision: 1755407
- new version 0.2

* Sun Oct 04 2020 wally <wally> 0.1.4-1.mga8
+ Revision: 1632164
- new version 0.1.4

* Tue Feb 25 2020 wally <wally> 0.1.3-1.mga8
+ Revision: 1550345
- new version 0.1.3

* Sun Feb 16 2020 umeabot <umeabot> 0.1.1-2.mga8
+ Revision: 1533408
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sat Sep 21 2019 wally <wally> 0.1.1-1.mga8
+ Revision: 1444239
- new version 0.1.1

* Wed Sep 18 2019 kekepower <kekepower> 0.1-0.bzr755.1.mga8
+ Revision: 1443519
- Update to release bzr755

* Sun Sep 23 2018 umeabot <umeabot> 0.1-0.bzr715.2.mga7
+ Revision: 1299219
- Mageia 7 Mass Rebuild

* Sun Oct 29 2017 wally <wally> 0.1-0.bzr715.1.mga7
+ Revision: 1174718
- imported package libvterm

